Product Documentation

Configuration Utility

Dec 14, 2015

Q: When I use Firefox to compare two NetScaler configurations, the browser seems to freeze.

A: Firefox will eventually display the differences in the configurations, but the process takes a considerable amount of time if there are more than 1000 differences. Use Chrome for a faster response.

Q: I am using a MAC Safari browser to upgrade a NetScaler ADC. On the upgrade wizard, when I click the Browse button to choose the build file from the appliance, the dialog box does not show any files or folders. Also, when I navigate back to the root folder, the dialog box displays the top level folder, but I cannot browse it. What should I do?

A: On the Safari browser, click the Settings icon and navigate to Preferences > Security > Manage Website Settings > Java, and then change value of the When visiting other websites setting to Run in unsafe mode.

 

 

Q: After I upgraded the JRE on my appliance to version 7.51, the graphical user interface (GUI) applet does not load when I access the NetScaler configuration utility. The applet download stops at 1%, and Java generates a security error. What should I do?

A: You can use the configuration utility with JRE 7.51 if, in the Java Control Panel, you lower the security level or add the NetScaler appliance's URL to the Exception Site List.

If using a Windows computer, navigate to Control Panel and click Java.

If using a MAC computer, navigate to System Preferences and click Java.

Then, in the Java Control Panel dialog box, do either of the following:
  • Click the Security tab, and then set the Security Level to medium.
  • Click the Security tab, click the Edit Site List button, and then add the URL of the NetScaler appliance in the Exception Site List box.
    Figure 1. Java Control Panel


 

 

Q: After I upgraded the JRE on my appliance to version 7.45, the graphical user interface (GUI) applet does not load when I access the NetScaler configuration utility. The applet download stops at 1%, and Java throws a security error. What should I do?

A: The NetScaler GUI is not compatible with JRE version 7.45. Citrix recommends using a JRE version earlier than 7.45 to access the configuration utility. If you have already upgraded to version 7.45 and do not want to downgrade, you can configure Java to not keep temporary files. However, you will have to download the JAR files every time you access the configuration utility.

To downgrade JRE 7.45 to an earlier version:
  1. Uninstall JRE 7.45 by following the instructions at http://www.java.com/en/download/help/uninstall_java.xml.
  2. Download an earlier version of JRE from the following location: http://www.oracle.com/technetwork/java/javase/archive-139210.html.

To continue using JRE 7.45:

If you are using a Windows system, navigate to Control Panel and click Java. The Java Control Panel opens.

If you are using a MAC system, navigate to System Preferences and click Java. The Java Control Panel opens.
  1. Click the General tab.
  2. Under Temporary Internet Files, click Settings.
  3. Clear the Keep temporary files on my computer option.
  4. Close the browser and re-launch the GUI.
  5. Open the configuration utility and click Run and Allow, respectively, when the following warnings appear:



Note:
  • The Jar files will not be cached and you will have to download the files every time you access the configuration utility.
  • This problem is fixed in the following releases:
    • Release 9.3, build 65.x and later
    • Release 10.0, build 78.x and later
    • Release 10.1, build 122.x and later
    • Release 10.1.e, build 120.13xx.e

 

 

Q: What should I do before accessing the NetScaler configuration utility?

A: Before accessing a new version of the NetScaler software:
  • Clear your browser cache.
  • Make Sure that JavaScript, Java, and plug-ins are enabled in your browser. For help with enabling Java for your browser, see http://java.com/en/download/help/enable_browser.xml.
  • Clear the “Temporary internet files” in the Java console.
  • On the Java tab of the Java console, in Java Runtime Environment Settings, make sure that the latest version of JRE is present and is enabled.

 

 

Q: I am using HTTP to access the configuration utility. Which port should I open?

A: Open TCP port 3010 when using HTTP to access the configuration utility.

 

 

Q: I am using HTTPS to access the configuration utility. Which port should I open?

A: Open TCP port 3008 when using HTTPS to access the configuration utility.

 

 

Q: After entering the IP address of the NetScaler appliance in the address bar, I get the following error: “Java Applet could not be loaded". What should I do?

A: Verify that Java is installed properly. You can download Java from www.java.com. If you are using a MAC Safari browser, Java is disabled if it is not used for 35 days.

To enable Java plug-in in Safari, follow these steps:
  1. In the Safari browser, choose Safari > Preferences or press Command-comma (⌘-,) on your keyboard.
  2. Click Security, and then select Enable Java.

     

  3. Close the Safari Preferences window.

 

 

Q: With which browsers is the configuration utility compatible for different operating systems?

A: The following table lists the compatible browsers:
Operating System Browser Versions

Windows 7

Internet Explorer

8 and 9

Mozilla Firefox

3.6.25 and above

Chrome

15 and above

Windows 64 bit

Internet Explorer

8 and 9

Chrome

15 and above

MAC OS

Mozilla Firefox

12 and above

Safari

5.1.3

 

 

Q: When I access the NetScaler configuration utility by using Internet Explorer version 8 or 9, the browser displays only a grey bar at the top of the screen. What should I do?

A: The browser might be set in compatibility mode. To disable compatibility mode, go to Tools > Compatibility View Settings and clear the Display all websites in Compatibility View check box.

 


 

 

 

Q: Even after I disable compatibility mode in Internet Explorer version 8 or 9, the configuration utility does not appear. What should I do?

A: Make sure that the browser mode and document mode in the browser are set to the same version. To view the configuration, press F12. Set the values to either Internet Explorer 8 or Internet Explorer 9.

 

 

Q: When I access the NetScaler configuration utility by using Internet Explorer version 9, the utility displays the following error message: "You are not logged in. Please login." What should I do?

A: Make sure that the cookies are not blocked in your Interner Explorer settings. Go to Tools > Internet Options. Click the Privacy tab, and then under Settings, make sure that the slider is set to Medium or any lower value.

 

 

Q: I am using a MAC OS with JRE 1.7. After logging on to the configuration utility, I am not able to enter value in any of the text fields. What should I do?

A: Install Java 7, update 21 or higher.

 

 

Q: I am using a MAC OS. When I click outside a dialog window, the screen goes out of focus. Now, my browser looks disabled and hung. What should I do?

A: Click on the Java icon in the system dock, and in the JRE Security Warning window, click Don't Block. For details, see http://www.oracle.com/technetwork/java/javase/7u21-relnotes-1932873.html

 


 

 

 

Q: Is there any compatibility issue in using JRE version 7_11 with the latest version of browsers?

A: Yes. Internet Explorer 9 and Firefox 18.0.1 block Java on computers running JRE version 7_11. You have to manually activate Java in the browser or upgrade to a later version of JRE (JRE 7_13).